System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Collections.CollectionBase To be added

A collection of s.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the XmlSchemaObjectCollection class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the XmlSchemaObjectCollection class that takes an .

  The .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  If Count already equals the capacity, the capacity of list is doubled by automatically reallocating the internal array and copying the existing elements to the new array before the new element is added.

  If Count is less than the capacity, this method is an 0(1) operation. If the capacity needs to be increased to accommodate the new element, this method becomes an 0(n) operation, where n is Count.

  The method expects only and its derived types (, , and ) as parameters. The following example illustrates adding an included schema to the collection of an existing object.

  `Dim schema As XmlSchema = New XmlSchema() Dim textReader As XmlTextReader = New XmlTextReader("include.xsd") Dim includeSchema As XmlSchema = XmlSchema.Read(textReader, null) Dim include As XmlSchemaInclude = New XmlSchemaInclude() include.Schema = includeSchema; schema.Includes.Add(include);` `XmlSchema schema = new XmlSchema(); XmlTextReader textReader = new XmlTextReader("include.xsd"); XmlSchema includeSchema = XmlSchema.Read(textReader, null); XmlSchemaInclude include = new XmlSchemaInclude(); include.Schema = includeSchema; schema.Includes.Add(include);`

  Adds an to the XmlSchemaObjectCollection.

  The index at which the item has been added.

  The .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates if the specified is in the XmlSchemaObjectCollection.

  true if the specified qualified name is in the collection; otherwise, returns false. If null is supplied, false is returned because there is no qualified name with a null name.

  The .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The specified array must be of a compatible type.

  This method uses to copy the elements.

  Copies all the s from the collection into the given array, starting at the given index.

  The one-dimensional array that is the destination of the elements copied from the XmlSchemaObjectCollection. The array must have zero-based indexing. The zero-based index in the array at which copying begins.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaObjectEnumerator To be added

  Returns an enumerator for iterating through the XmlSchemaObjects contained in the XmlSchemaObjectCollection.

  The iterator returns .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Gets the collection index corresponding to the specified .

  The index corresponding to the specified .

  The whose index you want to return.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If Count already equals the capacity, the capacity of the list is doubled by automatically reallocating the internal array before the new element is inserted.

  If is equal to Count, is added to the end of XmlSchemaObjectCollection.

  The elements that follow the insertion point move down to accommodate the new element.

  Inserts an to the XmlSchemaObjectCollection.

  The zero-based index at which an item should be inserted. The to insert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaObject `` To be added: an object of type 'int' To be added To be added: an object of type 'XmlSchemaObject' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  OnClear is invoked before the standard Clear behavior. For more information, see OnClear method for .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  OnInsert is invoked before the standard Insert behavior. For more information, see OnInsert method .

  The index of . The item.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  OnRemove is invoked before the standard Remove behavior. For more information, see the OnRemove method for .

  The index of . The item.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  OnSet is invoked before the standard Set behavior. For more information, see the OnSet method for .

  The index of . The old value. The new value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method performs a linear search; therefore, the average execution time is proportional to . That is, this method is an O() operation, where is .

  This method determines equality by calling .

  The elements that follow the removed element move up to occupy the vacated spot.

  Removes an from the XmlSchemaObjectCollection.

  The to remove.